Skip to content

Match Companies

Request

Match to HG companies by company name, country code and/or domain URL.

Limited to maximum of 10 companies and sorted by relevance and revenue.

Security
authorization
Query
company_namestring

Name of the company to search for.

Example:company_name=Ford Motor Company
country_codestring

The country where the company's global headquarters resides. Can be a country name or an ISO 3166 alpha-2 code.

Example:country_code=United States
domain_namestring

The domain URL associated with the company.

Example:domain_name=ford.com
limitinteger, [ 1 .. 10 ]

The limit of results to be returned. Default of 10.

Example:limit=10
GET
/data-api/v1/company/match
curl -i -X GET \
  'https://api.hginsights.com/data-api/v1/company/match?company_name=Ford%20Motor%20Company&country_code=United%20States&domain_name=ford.com&limit=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Companies

Bodyapplication/json
countinteger

Record count

Example:1
dataArray of objects(Company)
Example:
[ { "company_id": "6FA567B72D78B7E3EA746973FBBD1D5", "company_name": "Adidas North America, Inc.", "domain_name": "https://www.adidas.com" } ]
Response
{ "count": 1, "data": [ {} ] }